Bug 13782 - RSS for news needs a bit of styling
Summary: RSS for news needs a bit of styling
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 7843 22568
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-03 11:00 UTC by Nicole C. Engard
Modified: 2019-04-15 10:52 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
display of rss (32.41 KB, image/png)
2015-03-03 11:00 UTC, Nicole C. Engard
Details
Bug 13782: RSS for news needs a bit of styling (9.47 KB, patch)
2019-03-22 18:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 13782: RSS for news needs a bit of styling (9.53 KB, patch)
2019-04-04 17:06 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 13782: RSS for news needs a bit of styling (9.53 KB, patch)
2019-04-04 21:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-03-03 11:00:16 UTC
Created attachment 36387 [details]
display of rss

It looks like the RSS feed for the news items could use a bit of styling because right now it is right up against the main body content and that is confusing.  I'd say the icon should be at the top of the news on the right or in the opac footer instead of right below the news.
Comment 1 Katrin Fischer 2019-02-10 21:29:52 UTC
I agree it could be a little confusing because the info is so close together (news and main content)
Comment 2 Owen Leonard 2019-03-22 18:58:06 UTC
Created attachment 86925 [details] [review]
Bug 13782: RSS for news needs a bit of styling

This patch makes a number of updates to the display of news in the OPAC.
I hope that this makes OPAC news nicer/easier to read. It includes style
changes to make the RSS link look better too.

To test, apply the patch and regenerate the OPAC CSS. You should have
multiple active news items. View the OPAC news with varied values of
NewsAuthorDisplay and OpacNewsLibrarySelect.

Test the single news item view. Test with Quotes on and off, and with
OpacMainUserBlock populated or not.
Comment 3 Katrin Fischer 2019-04-03 20:56:43 UTC
86925 - Bug 13782: RSS for news needs a bit of styling

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 13782: RSS for news needs a bit of styling
Using index info to reconstruct a base tree...
M	koha-tmpl/opac-tmpl/bootstrap/css/src/opac.scss
M	koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-main.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-main.tt
CONFLICT (content): Merge conflict in koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-main.tt
Comment 4 Owen Leonard 2019-04-04 14:18:52 UTC
Could you try it again? It applies fine for me.
Comment 5 Liz Rea 2019-04-04 15:18:10 UTC
THis applies fine for me as well, with the dependency bugs applied - so can test. :)
Comment 6 Liz Rea 2019-04-04 17:06:37 UTC
Created attachment 87424 [details] [review]
Bug 13782: RSS for news needs a bit of styling

This patch makes a number of updates to the display of news in the OPAC.
I hope that this makes OPAC news nicer/easier to read. It includes style
changes to make the RSS link look better too.

To test, apply the patch and regenerate the OPAC CSS. You should have
multiple active news items. View the OPAC news with varied values of
NewsAuthorDisplay and OpacNewsLibrarySelect.

Test the single news item view. Test with Quotes on and off, and with
OpacMainUserBlock populated or not.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 7 Katrin Fischer 2019-04-04 21:41:00 UTC
Created attachment 87428 [details] [review]
Bug 13782: RSS for news needs a bit of styling

This patch makes a number of updates to the display of news in the OPAC.
I hope that this makes OPAC news nicer/easier to read. It includes style
changes to make the RSS link look better too.

To test, apply the patch and regenerate the OPAC CSS. You should have
multiple active news items. View the OPAC news with varied values of
NewsAuthorDisplay and OpacNewsLibrarySelect.

Test the single news item view. Test with Quotes on and off, and with
OpacMainUserBlock populated or not.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 8 Nick Clemens 2019-04-05 13:08:10 UTC
Awesome work all!

Pushed to master for 19.05
Comment 9 Martin Renvoize 2019-04-15 10:52:09 UTC
Minor enhancement, will not be backported to 18.11.x series.